Name:           perl-CSS-Packer
Version:        2.09
Release:        1%{?dist}
Summary:        CSS::Packer - Another CSS code cleaner
License:        Artistic-2.0
URL:            https://metacpan.org/release/CSS-Packer
Source0:        https://github.com/leejo/css-packer-perl/archive/refs/heads/master.zip
BuildArch:      noarch

BuildRequires:  perl-generators perl-interpreter make
BuildRequires:  perl(ExtUtils::MakeMaker)

# For improved testing
BuildRequires:  perl(Regexp::RegGrp)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::File::Contents)

%description
CSS::Packer Perl module, an CSS Compressor.

%prep
%setup -q -n css-packer-perl-master
#HTML-Packer-%%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Mar 10 2024 Pappy Packager <skrochen@krotek.com> - 2.09-1
- Initial build
